<?php
get_header();
$theme_options = get_theme_mod('lightly_options');
?>

<div id="content">
    <?php
    $current_page = get_query_var('paged');
    $hide_carousel = ( $current_page && isset($theme_options['homepage_headline_slider_hide']) && $theme_options['homepage_headline_slider_hide']);
    if ( $theme_options['homepage_headline_slider'] && !($hide_carousel) ) {
        if ( isset($theme_options['headline_posts_categories']) && $theme_options['headline_posts_categories'] ) $cats = implode(',', $theme_options['headline_posts_categories'] );
        else $cats = '';
        $args = array('cat' => $cats, 'showposts' => $theme_options['headline_posts_number'] );
    ?>	
    <div id="headline-carousel">
        <?php
            lightly_custom_loop_posts( $args ,$theme_options['headline_posts_title'] );
        ?>
    </div>
    <?php
        }
    ?>
    <div id="inner-content" class="wrap clearfix">
        <div id="main" class="col620 clearfix" role="main">
            <?php 
            $hide_slider = ( $current_page && isset($theme_options['homepage_featured_slider_hide']) && $theme_options['homepage_featured_slider_hide']);
            if ( $theme_options['homepage_featured_slider'] && !($hide_slider) ) {
                if ( isset($theme_options['featured_posts_categories']) && $theme_options['featured_posts_categories'] ) $cats = implode(',', $theme_options['featured_posts_categories'] );
                else $cats = '';
                $args = array('cat' => $cats, 'showposts' => $theme_options['featured_posts_number'], 'heading-tag'=>'h1', 'thumb-size'=> 'full' );
            ?>	
            <div id="featured-posts">
                <?php
                lightly_custom_loop_posts( $args , $theme_options['featured_posts_title'] );
                ?>
            </div>
            <?php
            }
            ?>
            <h4 class="widgettitle"><span><?php _e('Recent Posts','lightly'); ?></span></h4>
            <?php if (have_posts()) : $i = 1; while ( have_posts() ) : the_post(); ?>

            <article id="post-<?php the_ID(); ?>" <?php post_class('clearfix default-post'); ?> role="article">

                    <?php if (has_post_thumbnail()): ?>
                    <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="home-thumb"><?php the_post_thumbnail('lightly-thumb-300'); ?></a>
                    <?php else : 
                            if ( get_post_format() == 'video'){
                                $video_options = get_post_meta(get_the_ID(), '_lightly_video_options', true );
                                if ( $video_options['video_provider'] == 'youtube' ){ ?>
                                <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="home-thumb"><img src="http://img.youtube.com/vi/<?php echo esc_attr( $video_options['video_id'] ); ?>/hqdefault.jpg" /></a>	
                    <?php		}
                            }
                    ?>
                    <?php endif; ?>

                <header>

                    <h2 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
                    <p class="meta"> <time datetime="<?php echo the_time('Y-m-d'); ?>"><?php the_time(get_option('date_format')); ?></time>, <?php the_author_posts_link(); ?>, <?php comments_popup_link(__('No Comment', 'lightly'), '1 Comment', '% Comments','','Comment Closed'); ?></p>


                </header> <!-- end article header -->

                <section class="post_content clearfix">
                    <?php the_excerpt(); ?>
                    <p class="read-more"><a href="<?php the_permalink() ?>"><?php _e('Read Post &rarr;', 'lightly'); ?></a></p>
                </section> <!-- end article section -->							

            </article> <!-- end article -->

            <?php comments_template(); ?>
            <?php 	$i++; ?>
            <?php endwhile; ?>

            <?php 
                if ( function_exists('lightly_pagenavi') ) {
                    lightly_pagenavi();
                } else { // if it is disabled, display regular wp prev & next links ?>

                <nav class="wp-prev-next">
                    <ul class="clearfix">
                        <li class="prev-link"><?php next_posts_link(__('&laquo; Older Entries', 'lightly')) ?></li>
                        <li class="next-link"><?php previous_posts_link(__('Newer Entries &raquo;', 'lightly')) ?></li>
                    </ul>
                </nav>
            <?php } ?>		

            <?php else : ?>

            <article id="post-not-found">
                <header>
                    <h1><?php _e('Not Found', 'lightly'); ?></h1>
                </header>
                <section class="post_content">
                    <p><?php _e('Sorry, but the requested resource was not found on this site.', 'lightly'); ?></p>
                </section>
                <footer>
                </footer>
            </article>

            <?php endif; ?>

        </div> <!-- end #main -->
        <?php get_sidebar();  ?>

    </div> <!-- end #inner-content -->

</div> <!-- end #content -->

<?php get_footer(); ?>