<?php
get_header();
$theme_options = get_theme_mod('lightly_options');
?>
			
			<div id="content">
			
				<div id="inner-content" class="wrap clearfix">
			
					<?php 
					if ( function_exists('yoast_breadcrumb')) : 
						yoast_breadcrumb('<div id="breadcrumbs" class="col940">','</div>'); 
					else : 
						lightly_breadcrumb(); 
					endif; 
					?>
					<div id="main" class="col620 left first clearfix" role="main">

						<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

						<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?> role="article" itemscope itemtype="http://schema.org/BlogPosting">
						
							<header>
							
								<h1 class="single-title post-title" itemprop="headline"><?php the_title(); ?></h1>
                                
								<p class="meta"> <time datetime="<?php echo the_time('Y-m-d'); ?>"><?php the_time(get_option('date_format')); ?></time>, <?php the_author_posts_link(); ?>, <?php comments_popup_link('Leave a comment', '1 Comment', '% Comments','',__('Comment closed', 'lightly')); ?></p>
													
							</header> <!-- end article header -->
					
							<section class="post_content clearfix" itemprop="articleBody">
	                        	<?php if ( get_post_format() == 'video' ) echo lightly_video_post(); ?>
								<?php the_content(); ?>
					
							</section> <!-- end article section -->
						
							<footer class="clearfix">
								<?php wp_link_pages('before=<nav class="page-navigation">&after=</nav>&next_or_number=number&pagelink=page %'); ?>
                                <?php if ( !isset($theme_options['disable_category_meta_box']) || !$theme_options['disable_category_meta_box'] ): ?>
								<div id="article-footer-meta">
									<p><?php _e('Posted in ', 'lightly'); the_category(', '); ?>. <?php the_tags('Tagged as ', ', ', ''); ?></p>
									
                                    <!--<p id="social-share"><?php //lightly_share_button() ?></p>-->
                                </div>
                                <?php endif; ?>
								<?php if ( !isset($theme_options['disable_post_nav_box']) || !$theme_options['disable_post_nav_box'] ): ?>
								<nav class="post-nav clearfix"> 
									<?php next_post_link('%link', '<span class="meta">' . __('Next Post &rarr;', "lightly") . '</span> <h3 class="post-title-small">%title</h3>'); ?>
									<?php previous_post_link('%link', '<span class="meta">' . __('&larr; Previous Post', "lightly") . '</span> <h3 class="post-title-small">%title</h3>'); ?>
								</nav>
                                <?php endif; ?>
                                <?php if ( !isset($theme_options['disable_author_box']) || !$theme_options['disable_author_box'] ): ?>
								<div id="author-box">
									<h3 class="widgettitle"><span><?php _e('Author', 'lightly'); ?></span></h3>
									<?php $gravatar = md5(get_the_author_meta('user_email')); $default = get_option('avatar_default'); ?>
									<img class="author-avatar alignleft" src="http://www.gravatar.com/avatar/<?php echo $gravatar; ?>?d=<?php echo $default; ?>&amp;s=45" style="margin-top:5px;"  />
									<h4 class="post-title"><?php the_author_posts_link(); ?></h4>
									<p class="meta"><a href="<?php the_author_meta('user_url'); ?>" title="author website">Home Page</a></p>
									<p><?php the_author_meta('user_description');?></p>

								</div>
                                <?php endif; ?>
								<?php if ( !isset($theme_options['disable_related_box']) || !$theme_options['disable_related_box'] ): ?>
								<div id="related-box">
									<h4 class="widgettitle"><span><?php _e('Related Posts', 'lightly'); ?></span></h4>
                                    <?php lightly_related_posts(); ?>
								</div>
								<?php endif; ?>
							</footer> <!-- end article footer -->
						
					
						</article> <!-- end article -->
						
						<?php endwhile; ?>			
							<?php comments_template(); ?>
						
						<?php else : ?>
						
						<article id="post-not-found">
						    <header>
						    	<h1><?php _e('Not Found', 'lightly'); ?></h1>
						    </header>
						    <section class="post_content">
						    	<p><?php _e('Sorry, but the requested resource was not found on this site.', 'lightly'); ?></p>
						    </section>
						    <footer>
						    </footer>
						</article>
						
						<?php endif; ?>
					
					</div> <!-- end #main -->
    				
					<?php get_sidebar(); // sidebar 1 ?>
    			
    			</div> <!-- #inner-content -->
    			
			</div> <!-- end #content -->

<?php get_footer(); ?>